Skip to main content
GET
/
api
/
v1
/
strategies
/
{id}
/
performance
Performance tab data
curl --request GET \
  --url https://mcp.echozero.app/api/v1/strategies/{id}/performance \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "id": "<string>",
    "name": "<string>",
    "status": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

Headers

x-signature
string

HMAC-SHA256 signature: HMAC-SHA256(secretKey, timestamp + METHOD + path + body). Optional -- when omitted, HMAC verification is skipped.

x-timestamp
string

Request timestamp in epoch milliseconds. Required when x-signature is provided. Rejected if drift exceeds 5 minutes.

Path Parameters

id
string
required

Query Parameters

timePeriod
enum<string>
Available options:
1D,
1W,
1M,
ALL
tabType
enum<string>
Available options:
FEES,
USERS,
PNL,
TRADES

Response

Performance payload (BotPerformanceData).

success
boolean
required
Example:

true

data
object
required

Endpoint-specific payload